<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Statistiques</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Statistiques";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Statistiques.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Service.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/TaxeDeLuxe.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Statistiques.html" target="_top">Frames</a></li>
<li><a href="Statistiques.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Statistiques" class="title">Class Statistiques</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>back.Statistiques</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Statistiques</span>
extends java.lang.Object</pre>
<div class="block">Cette classe Statistique permet de créer des statistiques.
 Une statistique se caractérise par combien à gagner le joueur, combien a-t-il gagné de location, combien il a gagné de cartes chances,
 combien il a perdu, combien il a perdu de location et de cartes chances, le nombre de tours qu'il a fait et le nombre de fois qu'il a été 
 en ds,une liste des salles achetés et des salles vendues ainsi que son classement.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Statistiques.html#Statistiques--">Statistiques</a></span>()</code>
<div class="block">Le constructeur de la classe Statistique permet de créer une nouvelle statistique ou tout est mis à 0.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#ajouterUneCarteChance-back.CarteChance-">ajouterUneCarteChance</a></span>(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</code>
<div class="block">Méthode ajouterUneCarteChance permet d'effectuer les tests nécessaire pour lancer la méthode ajouterCarteChance.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#ajouterUneSalleAchete-back.Propriete-">ajouterUneSalleAchete</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode ajouterUneSalleAchete permet d'effectuer les tests nécessaire pour lancer la méthode ajouterSalleAchete.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#ajouterUneSalleVendue-back.Propriete-">ajouterUneSalleVendue</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode ajouterUneSalleVendue permet d'effectuer les tests necessaire pour lancer la méthode ajouterSalleVendue.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#ajouterUnMateriel-java.lang.String-">ajouterUnMateriel</a></span>(java.lang.String&nbsp;nom)</code>
<div class="block">Méthode ajouterUnMateriel permet d'ajouter un matèriel dans le hashMap materielAcheter.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#existeSalleAchete-back.Propriete-">existeSalleAchete</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode existeSalleAchete permet de tester si une propriété est présente dans l'ArrayList salleAchetes</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#existeSalleVendue-back.Propriete-">existeSalleVendue</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode existeSalleVendue permet de tester si une propriété est présente dans l'ArrayList salleVendues</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getCartesChances--">getCartesChances</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getClassement--">getClassement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getGagne--">getGagne</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getGagneChances--">getGagneChances</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getGagneLocation--">getGagneLocation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../back/Joueur.html" title="class in back">Joueur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getJoueur--">getJoueur</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getNbDS--">getNbDS</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getNbTours--">getNbTours</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getPerdu--">getPerdu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getPerduChances--">getPerduChances</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getPerduLocation--">getPerduLocation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getSalleAchetes--">getSalleAchetes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#getSalleVendues--">getSalleVendues</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setCartesChances-java.util.ArrayList-">setCartesChances</a></span>(java.util.ArrayList&lt;<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&gt;&nbsp;cartesChances)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setClassement-int-">setClassement</a></span>(int&nbsp;classement)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setGagne-int-">setGagne</a></span>(int&nbsp;gagne)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setGagneChances-int-">setGagneChances</a></span>(int&nbsp;gagneChances)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setGagneLocation-int-">setGagneLocation</a></span>(int&nbsp;gagneLocation)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setJoueur-back.Joueur-">setJoueur</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setNbDS-int-">setNbDS</a></span>(int&nbsp;nbDS)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setNbTours-int-">setNbTours</a></span>(int&nbsp;nbTours)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setPerdu-int-">setPerdu</a></span>(int&nbsp;perdu)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setPerduChances-int-">setPerduChances</a></span>(int&nbsp;perduChances)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setPerduLocation-int-">setPerduLocation</a></span>(int&nbsp;perduLocation)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setSalleAchetes-java.util.ArrayList-">setSalleAchetes</a></span>(java.util.ArrayList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;salleAchetes)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#setSalleVendues-java.util.ArrayList-">setSalleVendues</a></span>(java.util.ArrayList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;salleVendues)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#supprimerSalleAchete-back.Propriete-">supprimerSalleAchete</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode supprimerSalleAchete permet de supprimer une salleAchete de l'ArrayList de salleAchetes.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#supprimerSalleVendue-back.Propriete-">supprimerSalleVendue</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>
<div class="block">Méthode supprimerSalleVendue permet de supprimer une salleVendue de l'ArrayList de salleVendue.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Statistiques.html#supprimerUnMateriel-java.lang.String-">supprimerUnMateriel</a></span>(java.lang.String&nbsp;nom)</code>
<div class="block">Methode supprimerUnMateriel permet d'ajouter un matèriel dans le hashMap materielVendue.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Statistiques--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Statistiques</h4>
<pre>public&nbsp;Statistiques()</pre>
<div class="block">Le constructeur de la classe Statistique permet de créer une nouvelle statistique ou tout est mis à 0.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getGagne--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGagne</h4>
<pre>public&nbsp;int&nbsp;getGagne()</pre>
</li>
</ul>
<a name="setGagne-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGagne</h4>
<pre>public&nbsp;void&nbsp;setGagne(int&nbsp;gagne)</pre>
</li>
</ul>
<a name="getGagneLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGagneLocation</h4>
<pre>public&nbsp;int&nbsp;getGagneLocation()</pre>
</li>
</ul>
<a name="setGagneLocation-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGagneLocation</h4>
<pre>public&nbsp;void&nbsp;setGagneLocation(int&nbsp;gagneLocation)</pre>
</li>
</ul>
<a name="getGagneChances--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGagneChances</h4>
<pre>public&nbsp;int&nbsp;getGagneChances()</pre>
</li>
</ul>
<a name="setGagneChances-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGagneChances</h4>
<pre>public&nbsp;void&nbsp;setGagneChances(int&nbsp;gagneChances)</pre>
</li>
</ul>
<a name="getPerdu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerdu</h4>
<pre>public&nbsp;int&nbsp;getPerdu()</pre>
</li>
</ul>
<a name="setPerdu-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPerdu</h4>
<pre>public&nbsp;void&nbsp;setPerdu(int&nbsp;perdu)</pre>
</li>
</ul>
<a name="getPerduLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerduLocation</h4>
<pre>public&nbsp;int&nbsp;getPerduLocation()</pre>
</li>
</ul>
<a name="setPerduLocation-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPerduLocation</h4>
<pre>public&nbsp;void&nbsp;setPerduLocation(int&nbsp;perduLocation)</pre>
</li>
</ul>
<a name="getPerduChances--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerduChances</h4>
<pre>public&nbsp;int&nbsp;getPerduChances()</pre>
</li>
</ul>
<a name="setPerduChances-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPerduChances</h4>
<pre>public&nbsp;void&nbsp;setPerduChances(int&nbsp;perduChances)</pre>
</li>
</ul>
<a name="getNbTours--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbTours</h4>
<pre>public&nbsp;int&nbsp;getNbTours()</pre>
</li>
</ul>
<a name="setNbTours-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbTours</h4>
<pre>public&nbsp;void&nbsp;setNbTours(int&nbsp;nbTours)</pre>
</li>
</ul>
<a name="getNbDS--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbDS</h4>
<pre>public&nbsp;int&nbsp;getNbDS()</pre>
</li>
</ul>
<a name="setNbDS-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbDS</h4>
<pre>public&nbsp;void&nbsp;setNbDS(int&nbsp;nbDS)</pre>
</li>
</ul>
<a name="getSalleAchetes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSalleAchetes</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;getSalleAchetes()</pre>
</li>
</ul>
<a name="setSalleAchetes-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSalleAchetes</h4>
<pre>public&nbsp;void&nbsp;setSalleAchetes(java.util.ArrayList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;salleAchetes)</pre>
</li>
</ul>
<a name="getSalleVendues--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSalleVendues</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;getSalleVendues()</pre>
</li>
</ul>
<a name="setSalleVendues-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSalleVendues</h4>
<pre>public&nbsp;void&nbsp;setSalleVendues(java.util.ArrayList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;salleVendues)</pre>
</li>
</ul>
<a name="getClassement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassement</h4>
<pre>public&nbsp;int&nbsp;getClassement()</pre>
</li>
</ul>
<a name="setClassement-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClassement</h4>
<pre>public&nbsp;void&nbsp;setClassement(int&nbsp;classement)</pre>
</li>
</ul>
<a name="getJoueur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJoueur</h4>
<pre>public&nbsp;<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;getJoueur()</pre>
</li>
</ul>
<a name="setJoueur-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJoueur</h4>
<pre>public&nbsp;void&nbsp;setJoueur(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</pre>
</li>
</ul>
<a name="getCartesChances--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCartesChances</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&gt;&nbsp;getCartesChances()</pre>
</li>
</ul>
<a name="setCartesChances-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCartesChances</h4>
<pre>public&nbsp;void&nbsp;setCartesChances(java.util.ArrayList&lt;<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&gt;&nbsp;cartesChances)</pre>
</li>
</ul>
<a name="ajouterUneSalleAchete-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterUneSalleAchete</h4>
<pre>public&nbsp;void&nbsp;ajouterUneSalleAchete(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</pre>
<div class="block">Méthode ajouterUneSalleAchete permet d'effectuer les tests nécessaire pour lancer la méthode ajouterSalleAchete.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - Propriete à ajouter</dd>
</dl>
</li>
</ul>
<a name="supprimerSalleAchete-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supprimerSalleAchete</h4>
<pre>public&nbsp;void&nbsp;supprimerSalleAchete(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</pre>
<div class="block">Méthode supprimerSalleAchete permet de supprimer une salleAchete de l'ArrayList de salleAchetes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - Propriete à suprimer</dd>
</dl>
</li>
</ul>
<a name="existeSalleAchete-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existeSalleAchete</h4>
<pre>public&nbsp;boolean&nbsp;existeSalleAchete(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</pre>
<div class="block">Méthode existeSalleAchete permet de tester si une propriété est présente dans l'ArrayList salleAchetes</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - Propriete</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean , retourne true si la propriété est déjà présentes sinon false</dd>
</dl>
</li>
</ul>
<a name="ajouterUneSalleVendue-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterUneSalleVendue</h4>
<pre>public&nbsp;void&nbsp;ajouterUneSalleVendue(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</pre>
<div class="block">Méthode ajouterUneSalleVendue permet d'effectuer les tests necessaire pour lancer la méthode ajouterSalleVendue.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - Propriete à ajouter</dd>
</dl>
</li>
</ul>
<a name="supprimerSalleVendue-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supprimerSalleVendue</h4>
<pre>public&nbsp;void&nbsp;supprimerSalleVendue(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</pre>
<div class="block">Méthode supprimerSalleVendue permet de supprimer une salleVendue de l'ArrayList de salleVendue.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - Propriete à suprimer</dd>
</dl>
</li>
</ul>
<a name="existeSalleVendue-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existeSalleVendue</h4>
<pre>public&nbsp;boolean&nbsp;existeSalleVendue(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</pre>
<div class="block">Méthode existeSalleVendue permet de tester si une propriété est présente dans l'ArrayList salleVendues</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - Propriete</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean , retourne true si la propriété est déjà présentes sinon false</dd>
</dl>
</li>
</ul>
<a name="ajouterUneCarteChance-back.CarteChance-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterUneCarteChance</h4>
<pre>public&nbsp;void&nbsp;ajouterUneCarteChance(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</pre>
<div class="block">Méthode ajouterUneCarteChance permet d'effectuer les tests nécessaire pour lancer la méthode ajouterCarteChance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - CarteChance à ajouter</dd>
</dl>
</li>
</ul>
<a name="ajouterUnMateriel-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterUnMateriel</h4>
<pre>public&nbsp;void&nbsp;ajouterUnMateriel(java.lang.String&nbsp;nom)</pre>
<div class="block">Méthode ajouterUnMateriel permet d'ajouter un matèriel dans le hashMap materielAcheter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - est le nom de la propriété</dd>
</dl>
</li>
</ul>
<a name="supprimerUnMateriel-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>supprimerUnMateriel</h4>
<pre>public&nbsp;void&nbsp;supprimerUnMateriel(java.lang.String&nbsp;nom)</pre>
<div class="block">Methode supprimerUnMateriel permet d'ajouter un matèriel dans le hashMap materielVendue.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - est le nom de la propriété</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Statistiques.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Service.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/TaxeDeLuxe.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Statistiques.html" target="_top">Frames</a></li>
<li><a href="Statistiques.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
